diff -crN nakedmudv1.4/lib/misc/help nakedmudv1.5/lib/misc/help
*** nakedmudv1.4/lib/misc/help	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.5/lib/misc/help	2010-11-01 15:54:17.000000000 -0500
***************
*** 0 ****
--- 1,203 ----
+ helpfiles:=
+   keywords : write
+   editor   : Alister
+   timestamp: Jan 29 18:28:26
+   info     :~
+     usage: write
+     
+     With write, you can enter a text editor and compose messages. Write is useful
+     for writing helpfiles, sending mail to friends (coming soon), and posting
+     messages on bulletin boards (also coming soon).
+   -
+   keywords : socials, soclink, socunlink
+   editor   : Alister
+   timestamp: Jan 29 18:53:22
+   info     :~
+     There are 9 fields assocciated with social editing; two are for messages when
+     the social has no target. Two are for messages when the target is the character
+     performing the social. Three are for situations when a target other than the
+     character is provided for the social. The remaining two are the minimum and
+     maximum positions the socials can be used from. If a social is not to have a
+     target, the "target" fields can be left blank. Likewise, if the social is never
+     to have the character as a target, the assocciated fields can be left blank.
+     When trying to reference character information, the following symbols can be
+     used:
+     
+       $n character name
+       $N target name
+       $e character he/she
+       $E target he/she
+       $m character him/her
+       $M target him/her
+       $s character his/hers
+       $S target his/hers
+     
+     To see examples of how to write socials, check some of the pre-existing ones.
+     To generate a list of all socials, type "socials".
+     
+     If you would like more than one command to trigger the same social, you can
+     link a new command to a pre-existing social. Likewise, if you would like to
+     disable a social command, that is possible too.
+     
+     Commands:
+       soclink [new command] [old command]
+       socunlink [command]
+       socedit [social]
+       socials
+   -
+   keywords : MCCP
+   editor   : Alister
+   timestamp: Jan 29 18:14:22
+   info     :~
+     The Mud Client Compression Protocol has the purpose of reducing the bandwidth 
+     usage of the mudserver, by using an MCCP-complient mudclient, the data send to 
+     you will be compressed by 80-85%, and thus not only reducing the amount of data
+     processed by the server, but also greatly reduce the amount of data you need to
+     download (i.e. less lag for you).
+     
+     This MUD supports both version 1 and 2 of the compression protocol, and any 
+     client supporting either of those version can be used to enable compression. 
+     Most clients enables compression automaticly, but some require that you type 
+     'compress'. The same command can also be used to disable compression.
+     
+     MCCP was created by Oliver Jowett
+   -
+   keywords : look
+   editor   : Alister
+   timestamp: Jan 29 18:15:22
+   info     :~
+     Look allows you to glean extra information about your environment, as well as
+     people and items in it. Look can be used to peer into containers, glance at
+     your room, examine the finer details of an item, among other things.
+     
+     Usage: 
+       > look [at the <target>] [in the <container>] [on the <thing or person>]
+     
+     Examples: 
+       > look
+       > look bob
+       > look at bob
+       > look at the bob
+       > look at the mole on bob
+       > look in sheath
+       > look hilt on sword in sheath
+       > look at the hilt on the sword in the sheath
+     
+     Looking at an object that is a container will also peer inside and list its
+     contents (provided the container is opened).
+   -
+   keywords : Jobo
+   editor   : Alister
+   timestamp: Jan 29 18:13:11
+   info     :~
+     Jobo aka Brian Graversen is the author of SocketMud(tm), which is a bareboned 
+     mud codebase. The codebase was made mainly for fun and to learn from the 
+     experience itself.
+     
+     Feel free to use the codebase for whatever purposes you have in mind, and should
+     you ever make a real mud from it, send me a mail and tell me about it at 
+     jobo@daimi.au.dk
+     
+     Brian Graversen
+   -
+   keywords : help, hlink, hunlink, hupdate
+   editor   : Alister
+   timestamp: Jan 29 18:32:52
+   info     :~
+     There are various tools available for creating and editing helpfiles. You can
+     update the contents of any helpfile with the hupdate command. The contents of
+     your notepad (see: write) will be transferred to the helpfile. You can also
+     link a new word to an already existing helpfile with the hlink command.
+     Unlinking is also possible with the hunlink command.
+     
+     Commands:
+       hupdate [helpfile]
+       hlink [new topic] [old topic]
+       hunlink [topic]
+       help
+     
+     See also: WRITE
+   -
+   keywords : dig, fill
+   editor   : Alister
+   timestamp: Jan 29 18:35:30
+   info     :~
+     Dig allows you to link together two rooms. Fill allows you to close a down a
+     link between two rooms.
+     
+     Commands:
+       dig [direction] [room vnum]
+       fill [direction]
+   -
+   keywords : delay
+   editor   : Alister
+   timestamp: Jan 29 18:25:21
+   info     :~
+     usage: delay [seconds] [command]
+     
+     example:
+       delay 2 say hello, world!
+     
+     Allows the user to prepare a command to be executed in the future.
+   -
+   keywords : OLC, redit, oedit, medit, scedit, dedit, zedit, socedit
+   editor   : Alister
+   timestamp: Jan 29 18:12:02
+   info     :~
+     On-Line Creation (OLC) is a set of utilities designed to allow builders to
+     design their zones while on the MUD. OLC includes utilities for editing zones,
+     rooms, objects, mobiles, scripts, and dialogues. The following commands are
+     available to the online builder:
+     
+           edits                command                 listing command
+           rooms                redit                   rlist <zone vnum>
+           objects              oedit                   olist <zone vnum>
+           mobiles              medit                   mlist <zone vnum>
+           scripts              scedit                  sclist <zone vnum>
+           dialogs              dedit                   dlist <zone vnum>
+           socials              socedit                 socials
+           zones                zedit                   zlist
+     
+     To create a new zone, a special command must be used. It's format is:
+       zedit new [zone num] [min vnum] [max vnum]
+     
+     All other OLC commands can set up new things (rooms, objects, mobiles, etc..)
+     simply by using the corresponding edit command on a vnum that has not been used.
+   -
+   keywords : credits
+   editor   : Alister
+   timestamp: Jan 29 18:16:04
+   info     :~
+     Thanks go out to Brian Graversen for creating SocketMud(tm), which NakedMud(tm)
+     was built on top of. I know nothing (yet) about TCP/IP, and SocketMud(tm) made 
+     my life that much easier.
+   -
+   keywords : buildwalk
+   editor   : Alister
+   timestamp: Jan 29 18:36:38
+   info     :~
+     usage: buildwalk
+     
+     With buildwalk on, you can walk around in directions that do not exist to spawn
+     new exits. Buildwalk can be toggled on and off by simply typing buildwalk.
+   -
+   keywords : ANSI
+   editor   : Alister
+   timestamp: Jan 29 18:06:47
+   info     :~
+     NakedMud supports ANSI colors, and you can access them by using the '{{'
+     character, followed by the colorkey from the table below.
+     
+     Yellow    {yy {YY{n
+     Blue      {bb {BB{n
+     Green     {gg {GG{n
+     Red       {rr {RR{n
+     Cyan      {cc {CC{n
+     Purple    {pp {PP{n
+     Dark      {dd {DD{n
+     White     {ww {WW{n
+     
+     The 'n' key is the default NakedMud color, and the mudcolor will always
+     revert to this color at the end of a string.
+   -
+ -
diff -crN nakedmudv1.4/lib/misc/time nakedmudv1.5/lib/misc/time
*** nakedmudv1.4/lib/misc/time	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.5/lib/misc/time	2010-11-01 15:54:17.000000000 -0500
***************
*** 1,6 ****
! hour        : 20
  day_of_week : 2
! day_of_month: 2
! month       : 1
  year        : 0
  -
--- 1,6 ----
! hour        : 18
  day_of_week : 2
! day_of_month: 11
! month       : 2
  year        : 0
  -
diff -crN nakedmudv1.4/lib/world/0/rooms~ nakedmudv1.5/lib/world/0/rooms~
*** nakedmudv1.4/lib/world/0/rooms~	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.5/lib/world/0/rooms~	2010-11-01 15:54:17.000000000 -0500
***************
*** 0 ****
--- 1,25 ----
+ list:=
+   desc     :~
+     You are surrounded by nothingness.

+   auxiliary:-
+     time_aux_data  :-
+       night_desc: 
+       -
+     script_aux_data:-
+       scripts:=
+       -
+     -
+   terrain  : 0
+   vnum     : 0
+   name     : Floating in Limbo
+   exits    :=
+   edescs   :-
+     list:=
+       desc    :~
+            Well, there's not too much of it, that's for sure.  Or maybe that's all 

+         there is.  It's quite mind blowing, really.

+       keywords: nothingness
+       -
+     -
+   -
+ -
diff -crN nakedmudv1.4/lib/world/0/zone nakedmudv1.5/lib/world/0/zone
*** nakedmudv1.4/lib/world/0/zone	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.5/lib/world/0/zone	2010-11-01 15:54:17.000000000 -0500
***************
*** 5,8 ****
--- 5,16 ----
  name       : The null zone
  desc       :~
       This zone has no purpose and should be taken out when the MUD is first 

+ auxiliary  :-
+   zone_map_data :-
+     zone_display_map: 0
+     -
+   autopilot_data:-
+     autopilot_on: 0
+     -
+   -
  -
diff -crN nakedmudv1.4/lib/world/1/dialogs nakedmudv1.5/lib/world/1/dialogs
*** nakedmudv1.4/lib/world/1/dialogs	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.5/lib/world/1/dialogs	2010-11-01 15:54:17.000000000 -0500
***************
*** 3,110 ****
    name     : Mysty's Dialog
    greet    : Welcome to the Stuck Swine! I hope it's to your liking here. If you need a hand, or perhaps a drink, just ask me for help
    responses:=
!     keywords: Julesz
!     message : He's here most nights, working the bar. A wonderful man, and ohhh so dreamy eyes.
!     -
!     keywords: Freeport
!     message : Freeport is a large trading city to the east of Asmyr. The only way there is though the mountains to the east. The trek is about two weeks, but if you are looking to see the world, Freeport is a good place to start. They have the world's largest marketplace, and they are right on the ocean. If you go down to the docks, the view is absolutely beautiful - especially at night, around sunset.
      -
!     keywords: cards, blackjack
!     message : Symon loves to play blackjack, although I must say he is not very good at it. Ask him about it if you are looking to play a game. If you're looking for a challenge, however, you might want to look elsewhere.
      -
!     keywords: tables
!     message : If you take a seat at one of the tables, myself or one of the other waitresses will be around in a moment to take your order.
      -
!     keywords: parks
!     message : Asmyr has some of the most beautiful parks I've ever seen. In the spring, the wild flowers attract many people. The parks are great places to go if you're looking to strike up a conversation with somebody.
      -
!     keywords: merchants
!     message : Asmyr sees many merchants passing through. Just outside the east gate of the city, there's a passage through the mountains that leads down to Freeport, which has the world's largest marketplace. Since going through the pass is the only way to get to Freeport, many merchants spend a couple days here to rest up before they make the trek through the pass.
      -
!     keywords: Mysty says hi
!     message : Mysty - that's me. If you run into Julesz, let him know I say hi. I'm sure that will get him talking. Maybe he'll have some useful information for you, being new around here and all.
      -
!     keywords: bar
!     message : The bar is on the south side of the tavern. Chances are, Julesz will be working there. He's a great guy - and cute too! If you see him, let him know that Mysty says hi.
      -
!     keywords: Garod
!     message : He's a surly fellow. Keeps to himself mostly. You can usually find him in the southwest corner of the tavern, by the bar. I wouldn't go looking if I were you, though. He doesn't like company.
      -
!     keywords: Symon
!     message : He's a professional entertainer, and performs here during the night. If he's not up on stage, you can usually find him loitering around the tavern - just look for the crowd of women. He's a good guy to talk to if you're looking for some laughs, or if you've got some money to burn. He's got a great hand for the dice. The cards don't seem to like him, though.
      -
!     keywords: usual crowd
!     message : There's If you're looking to meet any of them, Symon, Oren, and Betta are good folk. Just do yourself a favor and stay away from Garod. He's got quite a temper, and doesn't take well to newcomers.
      -
      keywords: ask
      message : If you'd like to know what someone thinks about a topic, you can always try asking them about it. Taverns and other social gatherings are good places to get information.
      -
!     keywords: greet
!     message : Most of the people around here are quite friendly. Just go up to them and greet them. It's sure to get them talking. Just a small piece of advice - if you haven't been here for awhile, stay away from that Garod fellow. he usually lingers around the southwest corner of the tavern. He's not too fond of people... new people especially.
      -
!     keywords: cold, bitter cold
!     message : We're quite elevated, and the mountains aren't too far off to the east, so it can get a bit cold at times. The winter chill is really setting in early this year, too. Why don't you have a seat at one of the tables, and I'll serve you up a nice cup of mead to keep you warm?
      -
!     keywords: Asmyr
!     message : Even though everyone complains about the bitter cold, it is a wonderful city. In the spring, the parks are so beautiful. And, with all of the merchants always passing through, it is a wonderful place to be if you have a bit of spare money
      -
!     keywords: Stuck Swine
!     message : That would be where you are - home of the finest ales and entertainment this side of Asmyr! If you are looking for food or drink please, have a seat at one of the tables and I will be right with you. Or, if you'd prefer, the bar is at the south end of the tavern.
      -
!     keywords: help
!     message : You look like you're new to the Stuck Swine. The usual crowd is fairly outgoing. More likely than not, they'll all strike up a conversation with you if you greet them. If you're looking for a drink, have a seat at a table or head to the bar. Whatever you'd like, just ask!
      -
!     keywords: dice, bones
!     message : Bones is one of Symon's favorite games. I've seen him play - he's quite good at it. If you have some spare money to burn, ask him about bones. I'm sure he'd be willing to play you a game or two. Just don't blame me when you lose your money to him!
      -
!     keywords: menu, steamed crab, pudding ale, steak, veal, breaded porkchops, porkchops, shepard's pie, pie, salmon
!     message : crab merchants from Freeport recently passed through, and we stocked up. I would suggest our current special of steamed crab. It comes with a side of potatos - mashed or baked - greens, and a bun. We also have a wonderful pudding ale on tap, if you are interested. Our regular menu consists of steak, veal, breaded porkchops, shepard's pie, and salmon. If you would like to order anything, simply say so.
      -
!     keywords: order steamed crab
!     message : A wonderful choice, I must say. I will let the kitchen know right away.
      -
!     keywords: order ale, order pudding ale
!     message : Absolutely delicious. I will let the bar know you'd like one.
      -
!     keywords: order steak, order veal, order breaded porkchops, order porkchops, order shepard's pie, order pie, order salmon
!     message : very well. I will get it out to you as soon as possible.
      -
    -
    vnum     : 101
    name     : Julesz's Dialog
    greet    : looking for a drink? If so, you've come to the right place.
    responses:=
!     keywords: order ale, order pudding ale, order lager, order stout
!     message : Good choice! It will be right up.
      -
!     keywords: ale, ales
!     message : we have two ales on tap. Our pudding ale has a pleasant fruity, spicy flavor to it. Or, if you'd like, there is our normal ale.
      -
!     keywords: lager
!     message : It is a nice, light lager with a smooth, crisp taste. I'd suggest it if you are looking for something a bit more refreshing.
      -
      keywords: stout
      message : It is a particularily dark stout, with hints of caramel and roasted almonds. It is one of my favourites, I must say.
      -
!     keywords: on tap
!     message : we have a lager, a stout, and various ales on tap. If you'd like to hear about any specific one, just ask. Or, if you'd like to order one, say so.
      -
!     keywords: Mysty
!     message : Aye, she's our main server tonight. Cute lass, and she's got a good head on her shoulders too. If you're wanting to know anything about this place, she's a good one to talk to.
      -
!     keywords: drink
!     message : have a seat at the bar, and I'll be right with you. Or go find a table in the tavern, and Mysty will serve you.
      -
    -
    vnum     : 102
    name     : Garod's Dialog
    greet    : Hrmph, whaddiu want?
    responses:=
-     keywords: Garod
-     message : That's me. Whaddiu want to know? Hmm? I can tell I don't like you already. Why don't you get lost.
-     -
      keywords: get lost
      message : Go pester someone else. I'm busy with my ale right now.
      -
    -
  -
--- 3,110 ----
    name     : Mysty's Dialog
    greet    : Welcome to the Stuck Swine! I hope it's to your liking here. If you need a hand, or perhaps a drink, just ask me for help
    responses:=
!     keywords: order steak, order veal, order breaded porkchops, order porkchops, order shepard's pie, order pie, order salmon
!     message : very well. I will get it out to you as soon as possible.
      -
!     keywords: order ale, order pudding ale
!     message : Absolutely delicious. I will let the bar know you'd like one.
      -
!     keywords: order steamed crab
!     message : A wonderful choice, I must say. I will let the kitchen know right away.
      -
!     keywords: menu, steamed crab, pudding ale, steak, veal, breaded porkchops, porkchops, shepard's pie, pie, salmon
!     message : crab merchants from Freeport recently passed through, and we stocked up. I would suggest our current special of steamed crab. It comes with a side of potatos - mashed or baked - greens, and a bun. We also have a wonderful pudding ale on tap, if you are interested. Our regular menu consists of steak, veal, breaded porkchops, shepard's pie, and salmon. If you would like to order anything, simply say so.
      -
!     keywords: dice, bones
!     message : Bones is one of Symon's favorite games. I've seen him play - he's quite good at it. If you have some spare money to burn, ask him about bones. I'm sure he'd be willing to play you a game or two. Just don't blame me when you lose your money to him!
      -
!     keywords: help
!     message : You look like you're new to the Stuck Swine. The usual crowd is fairly outgoing. More likely than not, they'll all strike up a conversation with you if you greet them. If you're looking for a drink, have a seat at a table or head to the bar. Whatever you'd like, just ask!
      -
!     keywords: Stuck Swine
!     message : That would be where you are - home of the finest ales and entertainment this side of Asmyr! If you are looking for food or drink please, have a seat at one of the tables and I will be right with you. Or, if you'd prefer, the bar is at the south end of the tavern.
      -
!     keywords: Asmyr
!     message : Even though everyone complains about the bitter cold, it is a wonderful city. In the spring, the parks are so beautiful. And, with all of the merchants always passing through, it is a wonderful place to be if you have a bit of spare money
      -
!     keywords: cold, bitter cold
!     message : We're quite elevated, and the mountains aren't too far off to the east, so it can get a bit cold at times. The winter chill is really setting in early this year, too. Why don't you have a seat at one of the tables, and I'll serve you up a nice cup of mead to keep you warm?
      -
!     keywords: greet
!     message : Most of the people around here are quite friendly. Just go up to them and greet them. It's sure to get them talking. Just a small piece of advice - if you haven't been here for awhile, stay away from that Garod fellow. he usually lingers around the southwest corner of the tavern. He's not too fond of people... new people especially.
      -
      keywords: ask
      message : If you'd like to know what someone thinks about a topic, you can always try asking them about it. Taverns and other social gatherings are good places to get information.
      -
!     keywords: usual crowd
!     message : There's If you're looking to meet any of them, Symon, Oren, and Betta are good folk. Just do yourself a favor and stay away from Garod. He's got quite a temper, and doesn't take well to newcomers.
      -
!     keywords: Symon
!     message : He's a professional entertainer, and performs here during the night. If he's not up on stage, you can usually find him loitering around the tavern - just look for the crowd of women. He's a good guy to talk to if you're looking for some laughs, or if you've got some money to burn. He's got a great hand for the dice. The cards don't seem to like him, though.
      -
!     keywords: Garod
!     message : He's a surly fellow. Keeps to himself mostly. You can usually find him in the southwest corner of the tavern, by the bar. I wouldn't go looking if I were you, though. He doesn't like company.
      -
!     keywords: bar
!     message : The bar is on the south side of the tavern. Chances are, Julesz will be working there. He's a great guy - and cute too! If you see him, let him know that Mysty says hi.
      -
!     keywords: Mysty says hi
!     message : Mysty - that's me. If you run into Julesz, let him know I say hi. I'm sure that will get him talking. Maybe he'll have some useful information for you, being new around here and all.
      -
!     keywords: merchants
!     message : Asmyr sees many merchants passing through. Just outside the east gate of the city, there's a passage through the mountains that leads down to Freeport, which has the world's largest marketplace. Since going through the pass is the only way to get to Freeport, many merchants spend a couple days here to rest up before they make the trek through the pass.
      -
!     keywords: parks
!     message : Asmyr has some of the most beautiful parks I've ever seen. In the spring, the wild flowers attract many people. The parks are great places to go if you're looking to strike up a conversation with somebody.
      -
!     keywords: tables
!     message : If you take a seat at one of the tables, myself or one of the other waitresses will be around in a moment to take your order.
      -
!     keywords: cards, blackjack
!     message : Symon loves to play blackjack, although I must say he is not very good at it. Ask him about it if you are looking to play a game. If you're looking for a challenge, however, you might want to look elsewhere.
      -
!     keywords: Freeport
!     message : Freeport is a large trading city to the east of Asmyr. The only way there is though the mountains to the east. The trek is about two weeks, but if you are looking to see the world, Freeport is a good place to start. They have the world's largest marketplace, and they are right on the ocean. If you go down to the docks, the view is absolutely beautiful - especially at night, around sunset.
!     -
!     keywords: Julesz
!     message : He's here most nights, working the bar. A wonderful man, and ohhh so dreamy eyes.
      -
    -
    vnum     : 101
    name     : Julesz's Dialog
    greet    : looking for a drink? If so, you've come to the right place.
    responses:=
!     keywords: drink
!     message : have a seat at the bar, and I'll be right with you. Or go find a table in the tavern, and Mysty will serve you.
      -
!     keywords: Mysty
!     message : Aye, she's our main server tonight. Cute lass, and she's got a good head on her shoulders too. If you're wanting to know anything about this place, she's a good one to talk to.
      -
!     keywords: on tap
!     message : we have a lager, a stout, and various ales on tap. If you'd like to hear about any specific one, just ask. Or, if you'd like to order one, say so.
      -
      keywords: stout
      message : It is a particularily dark stout, with hints of caramel and roasted almonds. It is one of my favourites, I must say.
      -
!     keywords: lager
!     message : It is a nice, light lager with a smooth, crisp taste. I'd suggest it if you are looking for something a bit more refreshing.
      -
!     keywords: ale, ales
!     message : we have two ales on tap. Our pudding ale has a pleasant fruity, spicy flavor to it. Or, if you'd like, there is our normal ale.
      -
!     keywords: order ale, order pudding ale, order lager, order stout
!     message : Good choice! It will be right up.
      -
    -
    vnum     : 102
    name     : Garod's Dialog
    greet    : Hrmph, whaddiu want?
    responses:=
      keywords: get lost
      message : Go pester someone else. I'm busy with my ale right now.
      -
+     keywords: Garod
+     message : That's me. Whaddiu want to know? Hmm? I can tell I don't like you already. Why don't you get lost.
+     -
    -
  -
